Subject: Re: [PATCH] [Rev2] MPC5121 FEC support

From: John Rigby <[email-masked]>
Date: Tue, 17 Jun 2008 13:43:40 -0600

Thanks Sam,  Scott already addressed most of your issues.  The 
background that you are likely missing and I will add to the patch 
header is that the 5121 has an FEC core with all the same registers as 
8xx except the order of the registers is scrambled.  Fortunately the old 
FEC only exists on CPM1 machines so we can use CONFIG_CPM1 to 
differentiate between the two.

>
> I we have a conversion from fec_t to struct fec
> then this is a separate patch in the normal case.
>   
I'll split the patch into a clean-up patch followed by a 5121 patch.